HELM(1)

NAME

helm-delete - given a release name, delete the release from Kubernetes

SYNOPSIS

helm delete [flags] RELEASE_NAME [...]

DESCRIPTION

This command takes a release name, and then deletes the release from Kubernetes. It removes all of the resources associated with the last release of the chart.

Use the '--dry-run' flag to see which releases will be deleted without actually deleting them.

OPTIONS

--dry-run[=false]
    simulate a delete

--no-hooks[=false]
    prevent hooks from running during deletion

--purge[=false]
    remove the release from the store and make its name free for later use

--timeout=300
    time in seconds to wait for any individual kubernetes operation (like Jobs for hooks)

--tls[=false]
    enable TLS for request

--tls-ca-cert="$HELM_HOME/ca.pem"
    path to TLS CA certificate file

--tls-cert="$HELM_HOME/cert.pem"
    path to TLS certificate file

--tls-key="$HELM_HOME/key.pem"
    path to TLS key file

--tls-verify[=false]
    enable TLS for request and verify remote

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    enable verbose output

--home="~/.helm"
    location of your Helm config. Overrides $HELM_HOME

--host="localhost:44134"
    address of tiller. Overrides $HELM_HOST

--kube-context=""
    name of the kubeconfig context to use

--tiller-namespace="kube-system"
    namespace of tiller

SEE ALSO

helm(1)

HISTORY

19-May-2017 Auto generated by spf13/cobra